// WarnDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dl_demo.h"
#include "WarnDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWarnDlg dialog

char cWarningKey[64];

CWarnDlg::CWarnDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWarnDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWarnDlg)
	m_WarningText = _T("");
	m_Check1Value = FALSE;
	//}}AFX_DATA_INIT
	InitCommonControls();
}


void CWarnDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWarnDlg)
	DDX_Text(pDX, IDC_EDIT1, m_WarningText);
	DDX_Check(pDX, IDC_CHECK1, m_Check1Value);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWarnDlg, CDialog)
	//{{AFX_MSG_MAP(CWarnDlg)
	ON_BN_CLICKED(IDC_CHECK1, OnCheck1)
	ON_WM_PAINT()
	ON_WM_SHOWWINDOW()
	ON_BN_CLICKED(IDHELP, OnHelp)
	ON_BN_CLICKED(IDC_ALTERNATE, OnAlternate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWarnDlg message handlers

BOOL CWarnDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// TODO: Add extra initialization here
	m_Action = -2;
	SendDlgItemMessage(IDC_ALTERNATE, BM_SETCHECK, (WPARAM)BST_CHECKED , 0);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CWarnDlg::OnCheck1() 
{
	// TODO: Add your control notification handler code here
	m_Check1Value = !( m_Check1Value );
	char cCheck1Value[4];
	wsprintf(cCheck1Value, "%d", m_Check1Value);
	WritePrivateProfileString(cWarningKey, "NoShow", cCheck1Value, m_pszINIFile);
}

void CWarnDlg::OnAlternate() 
{
	// TODO: Add your control notification handler code here
	m_Action = -2;	
	EndDialog( m_Action );
}

void CWarnDlg::OnHelp() 
{
	// TODO: Add your control notification handler code here
	
}

void CWarnDlg::OnOK() 
{
	// TODO: Add extra validation here
	m_Action = 1;	
	EndDialog( m_Action );
	//CDialog::OnOK();
}

int CWarnDlg::DoModal() 
{
	// TODO: Add your specialized code here and/or call the base class
	wsprintf(cWarningKey, "%s", m_WarningText);
	
	return CDialog::DoModal();
}

void CWarnDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	DWORD numChars;
	
	// TODO: Add your message handler code here
	char cWarningText[512];
	GetPrivateProfileString(cWarningKey, "Warning", "Default Text",(LPSTR)cWarningText, 512, m_pszINIFile);
	SendDlgItemMessage(IDC_EDIT1, WM_SETTEXT, 0, (LPARAM)cWarningText);
	m_WarningText = _T(cWarningText);

	char cButtonText[128];
	numChars = GetPrivateProfileString(cWarningKey,"Alternate","",(LPSTR)cButtonText, 512, m_pszINIFile);
	if (numChars != 0)
	{
		SendDlgItemMessage(IDC_ALTERNATE, WM_SETTEXT, 0, (LPARAM)cButtonText);
	}

	numChars = GetPrivateProfileString(cWarningKey,"OKButton", "", (LPSTR)cButtonText, 512, m_pszINIFile);
	if (numChars != 0)
	{
		SendDlgItemMessage(IDC_CONTINUE, WM_SETTEXT, 0, (LPARAM)cButtonText);
	}

	// Do not call CDialog::OnPaint() for painting messages
	return;
}


void CWarnDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	// TODO: Add your message handler code here
	CDialog::OnShowWindow(bShow, nStatus);
	DWORD numChars;
	char cButtonAction[512];

	HWND hWndDlgItem;
	GetDlgItem( IDHELP, &hWndDlgItem );
	numChars = GetPrivateProfileString(cWarningKey, "MoreButton", "", (LPSTR)cButtonAction, 512, m_pszINIFile);
	if (numChars == 0)
	{
		::EnableWindow( hWndDlgItem, FALSE );
	}
	
	GetDlgItem( IDC_CONTINUE, &hWndDlgItem );
	numChars = GetPrivateProfileString(cWarningKey, "Continue", "", (LPSTR)cButtonAction, 512, m_pszINIFile);
	if (numChars == 0)
	{
		::ShowWindow(hWndDlgItem, SW_HIDE);
	}
	
	GetDlgItem( IDC_ALTERNATE, &hWndDlgItem );
	numChars = GetPrivateProfileString(cWarningKey, "Alternate", "", (LPSTR)cButtonAction, 512, m_pszINIFile);
	if (numChars == 0)
	{
		::ShowWindow(hWndDlgItem, SW_HIDE);
	}
	
}


BEGIN_EVENTSINK_MAP(CWarnDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CWarnDlg)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()
